| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot Class Reference

Functions for all 3 co-ordinates of parametric curve definition of a p-q torus knot . Used in the ExampleCurvePlotTorusKnot. More...

Inheritance diagram for IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot:
[legend]
Collaboration diagram for IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot:
[legend]

List of all members.

## Public Member Functions
| ExampleFunctionTorusKnot (int whichCoordinate, int p, int q)
| Constructs one of the coordinate functions in parametric definition of the torus knot curve.
override double | Value (double fi)
| Returns function value at the specified parameter.
## Protected Attributes
int | WhichCoordinate
int | P = 3
| The first parameter.
int | Q = -7
| The second parameter.

## Detailed Description

Functions for all 3 co-ordinates of parametric curve definition of a p-q torus knot . Used in the ExampleCurvePlotTorusKnot.

See http://en.wikipedia.org/wiki/Torus_knot

## Constructor & Destructor Documentation

IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot::ExampleFunctionTorusKnot | ( | int | whichCoordinate,
|  | int | p,
|  | int | q
| ) |  | `[inline]`

Constructs one of the coordinate functions in parametric definition of the torus knot curve.

Parameters:

  whichCoordinate | Selects the co-ordinate. Must be 0 for X coordinate, 1 for Y coordinate, or 2 for Z coordinate.
  p | The p-parameter. p and q must be coprimes.
  q | The q-parameter of the p-q torus knot. p and q must be coprimes.

## Member Function Documentation

override double IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot::Value | ( | double | fi | ) | `[inline]`

Returns function value at the specified parameter.

Parameters:

  fi | Parameter.

Reimplemented from IG::Num::RealFunction.

## Member Data Documentation

int IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot::WhichCoordinate`[protected]`

int IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot::P = 3`[protected]`

The first parameter.

int IG::Gr3d::VtkPlotBase::ExampleFunctionTorusKnot::Q = -7`[protected]`

The second parameter.

The documentation for this class was generated from the following file:

- VtkPlotBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events